Subject: bug#68693: 26.3; (elisp) `Profiling': Say how to use (e.g. read) a saved profile

From: Drew Adams <[email-masked]>
Date: Wed, 24 Jan 2024 22:05:10 +0000

> > > Thanks, fixed on the emacs-29 branch.
> > >
> > > Use "M-x profiler-find-profile".
> >
> > Thx.  A suggestion would be to also add
> > that to the menu-bar menu (if you didn't
> > also do that just now).
> 
> I don't think it should be on the menu, for the same reason it doesn't
> have a key binding: this is a relatively rare command, used only be
> people who for some reason receive profiles from others.  Saving a
> profile, by contrast, is a much more frequent operation.

I guess I don't understand why.  Why would
you save a profile if you don't want to
later access it?

OK, you might want to compare two profiles,
with `=', but I'd think that would be less
common than looking again at a profile that
you saved.

If you delete a profiler report buffer then
you have to profile all over again, to
revisit it.  Comparing has a key (`='), but
just revisiting doesn't.  Why?

I haven't been using profiler, so I don't
really understand its use, I guess.  What
am I missing?  Why is saving a frequent
operation but using (revisiting) a saved
profile is rare?